当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 3 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [问题]无法搭建c/c++开发环境(求救)
帖子发表于 : 2007-11-27 8:39 

注册: 2007-06-07 0:26
帖子: 16
送出感谢: 0 次
接收感谢: 0 次
各位大虾,我的系统是ubuntu7.10
想搭建c/c++开发环境,可是我运行如些命令时出现问题

希望高手指导下

duxingxia@ubuntu-desktop:~$ sudo apt-get install gcc
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
Reading state information... 完成
gcc 已经是最新的版本了。
共升级了 0 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 0 个软件未被升级。
duxingxia@ubuntu-desktop:~$ sudo apt-get install g++
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
Reading state information... 完成
有一些软件包无法被安装。如果您用的是不稳定(unstable)发行版,这也许是
因为系统无法达到您要求的状态造成的。该版本中可能会有一些您需要的软件
包尚未被创建或是它们还在新到(incoming)目录中。

您仅要求对单一软件包进行操作,这极有可能是因为该软件包安装不上,同时,
您最好提交一个针对这个软件包的故障报告。
下列的信息可能会对解决问题有所帮助:

下列的软件包有不能满足的依赖关系:
g++: 依赖: g++-4.1 (>= 4.1.2-1) 但是它将不会被安装
E: 无法安装的软件包

duxingxia@ubuntu-desktop:~$ sudo apt-get install g++-4.1
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
Reading state information... 完成
有一些软件包无法被安装。如果您用的是不稳定(unstable)发行版,这也许是
因为系统无法达到您要求的状态造成的。该版本中可能会有一些您需要的软件
包尚未被创建或是它们还在新到(incoming)目录中。

您仅要求对单一软件包进行操作,这极有可能是因为该软件包安装不上,同时,
您最好提交一个针对这个软件包的故障报告。
下列的信息可能会对解决问题有所帮助:

下列的软件包有不能满足的依赖关系:
g++-4.1: 依赖: libstdc++6-4.1-dev (= 4.1.2-16ubuntu2) 但是它将不会被安装
E: 无法安装的软件包

duxingxia@ubuntu-desktop:~$ sudo apt-get install libstdc++6-4.1-dev
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
Reading state information... 完成
有一些软件包无法被安装。如果您用的是不稳定(unstable)发行版,这也许是
因为系统无法达到您要求的状态造成的。该版本中可能会有一些您需要的软件
包尚未被创建或是它们还在新到(incoming)目录中。

您仅要求对单一软件包进行操作,这极有可能是因为该软件包安装不上,同时,
您最好提交一个针对这个软件包的故障报告。
下列的信息可能会对解决问题有所帮助:

下列的软件包有不能满足的依赖关系:
libstdc++6-4.1-dev: 依赖: libc6-dev (>= 2.5) 但是它将不会被安装
E: 无法安装的软件包
duxingxia@ubuntu-desktop:~$ sudo apt-get install libc6-dev
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
Reading state information... 完成
有一些软件包无法被安装。如果您用的是不稳定(unstable)发行版,这也许是
因为系统无法达到您要求的状态造成的。该版本中可能会有一些您需要的软件
包尚未被创建或是它们还在新到(incoming)目录中。

您仅要求对单一软件包进行操作,这极有可能是因为该软件包安装不上,同时,
您最好提交一个针对这个软件包的故障报告。
下列的信息可能会对解决问题有所帮助:

下列的软件包有不能满足的依赖关系:
libc6-dev: 依赖: libc6 (= 2.6.1-1ubuntu9) 但是 2.6.1-1ubuntu10 正要被安装
E: 无法安装的软件包
duxingxia@ubuntu-desktop:~$ sudo apt-get install libc6
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
Reading state information... 完成
libc6 已经是最新的版本了。
共升级了 0 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 0 个软件未被升级。
duxingxia@ubuntu-desktop:~$


最后由 duxingxia 编辑于 2007-11-27 8:51,总共编辑了 1 次

页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2007-11-27 8:44 
头像

注册: 2006-10-25 18:10
帖子: 2677
地址: 长沙
送出感谢: 0 次
接收感谢: 0 次
下次记得在帖子标题中写上简单的描述。不然的话,那些不会的人进来也是白看。


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2007-11-27 8:51 
头像

注册: 2007-10-19 14:51
帖子: 4953
地址: 深圳
送出感谢: 0 次
接收感谢: 2
代码:
 sudo aptitude install build-essential


_________________
Nothing 有事请发邮件到 yms541 AT gmail.com
alias 爱慕颇雷尔='mplayer'


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 3 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译